org.eclipse.swt.accessibility

## Class AccessibleEvent

- java.lang.Object
- - SWTEventObject
  - - org.eclipse.swt.accessibility.AccessibleEvent

    public class AccessibleEvent
    extends SWTEventObject

Instances of this class are sent as a result of accessibility clients sending messages to controls asking for information about the control instance.

Note: The meaning of the result field depends on the message that was sent.

Since:
  1.4
See Also:
  `AccessibleListener`, `AccessibleAdapter`, Sample code and further information

### Field Summary

Fields
`int` `childID` The value of this field is set by an accessibility client before the accessible listener method is called.
`java.lang.String` `result` The value of this field must be set in the accessible listener method before returning.

### Constructor Summary

Constructors
Constructor and Description
`AccessibleEvent(java.lang.Object source)` Constructs a new instance of this class.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### childID

    public int childID

The value of this field is set by an accessibility client before the accessible listener method is called. ChildID can be CHILDID_SELF, representing the control itself, or a 0-based integer representing a specific child of the control.

#### result

    public java.lang.String result

The value of this field must be set in the accessible listener method before returning. What to set it to depends on the listener method called, and the childID specified by the client.

### Constructor Detail

#### AccessibleEvent

    public AccessibleEvent(java.lang.Object source)

Constructs a new instance of this class.

Parameters:
  `source` - the object that fired the event

### Method Detail

#### toString

    public java.lang.String toString()

Returns a string containing a concise, human-readable description of the receiver.

Returns:
  a string representation of the event

Copyright (c) EclipseSource and others 2002, 2016. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0